Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453794 - Review-Request: perl-Text-CSV-Separator - Determine the field separator of a CSV file
Summary: Review-Request: perl-Text-CSV-Separator - Determine the field separator of a ...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Marcela Mašláňová
QA Contact: Fedora Extras Quality Assurance
URL: http://netbsd.sk/~lkundrak/SPECS/perl...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-02 15:15 UTC by Lubomir Rintel
Modified: 2014-03-06 13:18 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-23 07:53:58 UTC
mmaslano: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Lubomir Rintel 2008-07-02 15:15:20 UTC
SPEC: http://netbsd.sk/~lkundrak/SPECS/perl-Text-CSV-Separator.spec
SRPM:
http://netbsd.sk/~lkundrak/mock-results/perl-Text-CSV-Separator-0.19-1.el5.noarch/perl-Text-CSV-Separator-0.19-1.el5.src.rpm
logs:
http://netbsd.sk/~lkundrak/mock-results/perl-Text-CSV-Separator-0.19-1.el5.noarch

Description:

This module provides a fast detection of the field separator character
(also called field delimiter) of a CSV file, or more generally, of a
character separated text file (also called delimited text file), and
returns it ready to use in a CSV parser (e.g., Text::CSV_XS, Tie::CSV_File,
or Text::CSV::Simple).

Comment 1 Lubomir Rintel 2008-07-02 15:16:44 UTC
Test::Pod 1.00 required for testing POD
Test::Pod::Coverage 1.04 required for testing POD coverage

hm, now I notice... I'll add those requires next time I respin the package.

Comment 2 Jason Tibbitts 2008-07-03 00:36:51 UTC
I'm not sure if you were wanting the reviewers to wait until you respun the
package, but I went ahead and added the missing build dependencies and ended up
with the following two rpmlint complaints:
  W: wrong-file-end-of-line-encoding 
   /usr/share/doc/perl-Text-CSV-Separator-0.19/Changes
  W: wrong-file-end-of-line-encoding 
   /usr/share/doc/perl-Text-CSV-Separator-0.19/README

Comment 4 Marcela Mašláňová 2008-07-22 13:30:45 UTC
No rpmlint messages. Spec looks ok.

Comment 5 Lubomir Rintel 2008-07-22 19:30:02 UTC
Thanks for the review, Marcela.

New Package CVS Request
=======================
Package Name: perl-Text-CSV-Separator
Short Description: Determine the field separator of a CSV file
Owners: lkundrak
Branches: F-8 F-9 EL-5
Cvsextras Commits: yes

Comment 6 Kevin Fenzi 2008-07-23 03:05:34 UTC
cvs done.

Comment 7 Lubomir Rintel 2008-07-23 07:53:58 UTC
Imported and build.

Comment 8 Lubomir Rintel 2014-03-04 10:20:02 UTC
Package Change Request
======================
Package Name: perl-Text-CSV-Separator
New Branches: epel7
Owners: lkundrak eseyman

A message from eseyman, the current Fedora maintainer of the package: "I don't use EPEL so I'm probably not the best choice for a maintainer. Feel free to ask for a branch for any of my modules. If you do, please consider adding me as co-maintainer."

Comment 9 Gwyn Ciesla 2014-03-06 13:18:15 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.